> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve email validation results

> Retrieve email validation results



## OpenAPI

````yaml get /email-validations/{id}
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /email-validations/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: Batch id
        schema:
          type: string
      - name: page[size]
        in: query
        required: false
        description: Page size
        schema:
          type: string
      - name: page[after]
        in: query
        required: false
        description: Page after
        schema:
          type: string
      - name: page[before]
        in: query
        required: false
        description: Page before
        schema:
          type: string
    get:
      tags:
        - Email Validation
      summary: Retrieve email validation results
      description: Retrieve email validation results
      parameters: []
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Processing:
                  value:
                    id: 019e8e97-1d09-74d4-a70f-98936edb11dd
                    object: email_validation
                    status: processing
                    results: []
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-1d09-74d4-a70f-98936edb11dd
                Completed:
                  value:
                    id: 019e8e97-1dbb-7f17-9f40-e33246788e97
                    object: email_validation
                    status: completed
                    results:
                      - object: email_validation_result
                        email: foo+3@example.com
                        result: deliverable
                        catch_all: false
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-1dbb-7f17-9f40-e33246788e97
                Partial error:
                  value:
                    id: 019e8e97-1ea7-70cf-8165-206866a3e360
                    object: email_validation
                    status: error
                    results:
                      - object: email_validation_result
                        email: foo+6@example.com
                        result: deliverable
                        catch_all: false
                    _errors:
                      - code: insufficient_credits
                        title: Insufficient Credits
                        detail: >-
                          You do not have enough credits to perform this
                          operation.
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-1ea7-70cf-8165-206866a3e360
                Canceled:
                  value:
                    id: 019e8e97-1f92-7122-a0b3-a2012149fffc
                    object: email_validation
                    status: canceled
                    results:
                      - object: email_validation_result
                        email: foo+8@example.com
                        result: deliverable
                        catch_all: false
                    _links:
                      self:
                        href: >-
                          /email-validations/019e8e97-1f92-7122-a0b3-a2012149fffc
              schema:
                $ref: '#/components/schemas/response_email_validation_object'
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Could not find email validation.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_email_validation_object:
      type: object
      required:
        - id
        - object
        - status
        - results
        - _links
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - email_validation
        status:
          type: string
          enum:
            - queued
            - processing
            - completed
            - canceled
            - error
        results:
          type: array
          items:
            $ref: '#/components/schemas/response_email_validation_result_object'
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_email_validation_result_object:
      type: object
      required:
        - object
        - email
        - result
        - catch_all
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - email_validation_result
        email:
          type: string
          format: email
        result:
          type: string
          enum:
            - deliverable
            - risky
            - undeliverable
            - unknown
        catch_all:
          type: boolean
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````